PHP Manual
Prev |  | Next

# ifx_affected_rows

(PHP 3 >= 3.0.3, PHP 4, PHP 5)

ifx_affected_rows -- Get number of rows affected by a query

## Description

int ifx_affected_rows ( resource result_id )

Returns the number of rows affected by a query associated with `result_id`.

For inserts, updates and deletes the number is the real number (sqlerrd[2]) of affected rows. For selects it is an estimate (sqlerrd[0]). Don't rely on it. The database server can never return the actual number of rows that will be returned by a SELECT because it has not even begun fetching them at this stage (just after the "PREPARE" when the optimizer has determined the query plan).

Useful after ifx_prepare() to limit queries to reasonable result sets.

## Parameters

`result_id`

  A valid result id returned by ifx_query() or ifx_prepare().

## Return Values

Returns the number of rows as an integer.

## Examples

Example 1. Informix affected rows

`<?php $rid = ifx_prepare("select * from emp where name like " . $name, $connid); if (! $rid) { /* ... error ... */ } $rowcount = ifx_affected_rows($rid); if ($rowcount > 1000) { printf ("Too many rows in result set (%d)\n<br />", $rowcount); die ("Please restrict your query<br />\n"); } ?>`

## See Also

ifx_num_rows()

Prev | Home | Next
Informix Functions | Up | ifx_blobinfile_mode